import 'package:get/get.dart';
import 'package:router/componentRouter/auth_service.dart';
import 'package:router/componentRouter/labour_service.dart';

import 'job_service.dart';
import 'report_service.dart';

/**
 * 全局的组件路由服务，记得在 main.dart 中注入
 */
class ComponentRouterServices{

  static final ComponentRouterServices _instance = ComponentRouterServices._internal();

  factory ComponentRouterServices() {
    return _instance;
  }

  ComponentRouterServices._internal();

  //获取 Labour 组件的服务
  static LabourService get labourService => Get.find();

  //获取 Job 组件的服务
  static JobService get jobService => Get.find();

  //获取 Report 组件的服务
  static ReportService get reportService => Get.find();

  //获取 Auth 组件服务
  static AuthService get authService => Get.find();

}
